Bug 4436 - Xconfigurator - modeline issue
Xconfigurator - modeline issue
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 1999-08-09 02:29 EDT by mxk
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-10 14:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mxk 1999-08-09 02:29:50 EDT
Xconfigurator knows that my ATI Mach64 Rage IIc card can do
1600x1200x16bit, but doesn't provide a working modeline for
this res. When it tries to start up, it complains with "Bios
says this mode is illegal." Unfortunately, all of the
provided modelines seem to require too high of a dot clock
for this cheap piece of crap video card that I have.
Fortunately, I hacked out a modeline that'll work:

Modeline "1600x1200"  159    1600 1601 1695 2012  1200 1203
1206 1240

There should, obviously, be no carriage return in there,
though this textarea box that I'm typing in might've stuck
one in there. My monitor, a MAG Innovision XJ810, claims
that this modeline generates a V refresh of 63.8Hz and an H
refresh of 79.1kHz, which is not phenomenal, but it's close
enough for government work. I imagine some playing with
Xvidtune might get something better, but this is, at least,
a starting point.

Comment 1 Preston Brown 1999-08-23 11:29:59 EDT
in a rewrite of Xconfigurator, manually configuring modeline
information will be possible.
Comment 2 Trond Eivind Glomsrxd 2000-07-10 14:38:19 EDT
Is this problem still present in 6.2?
Comment 3 Trond Eivind Glomsrxd 2000-07-14 15:00:16 EDT
6.2 has modelines for 1600x1200, and XFree4 doesn't need specified modeline at

Note You need to log in before you can comment on or make changes to this bug.